// FilterAlias.h: interface for the CFilterCamera class.
//
//////////////////////////////////////////////////////////////////////

/** \file FilterAlias.h
	\brief Rozhraní pro třídu CFilterAlias
*/


#if !defined(_FILTERALIAS_H_)
#define _FILTERALIAS_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FilterBase.h"

/** Třída reprezentující antialiasing filtr
*/
class CFilterAlias : public CFilterBase
{

	DECLARE_DYNAMIC(CFilterAlias)
private:
	int m_type; ///< ID filtru
public:
	CFilterAlias(float CameraFocus = 0, float DistanceToCamera = 0, const char* name = "Untitled");
public:
	virtual ~CFilterAlias(void);

	double GetParam() const { return 0;}
	int GetType(){return m_type;}
	CStructures::iPoint GetNextSize() const;
	void Transform(CPixelArray* pSource, CPixelArray* pTarget);


//dumping objektu
#ifdef _DEBUG
	void Dump(CDumpContext& dc) const;
#endif //_DEBUG

};

#endif //!defined(_FILTERALIAS_H_)